glib-sharp Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object GLib.IWrapper System.IDisposable To be added To be added
- Constructor
  Creates a new instance.
- Constructor
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Method
  GLib.Opaque `` Native opaque structure pointer to copy. Copies an existing opaque type. A copied reference, or the original if the type doesn't support copying.
- Method
  System.Void Disposes the raw object.
- Method
  System.Boolean `` object to test. Tests for equality. boolean equality indication.
- Method
  System.Void `` The raw pointer. Overridden in generated subclasses to free the raw data.
- Method
  System.Int32 Hashing value. integer hash value.
- Method
  GLib.Opaque `` `` `` a a a Used to obtain a CLI typed object associated with a given raw pointer. a This method is primarily used to wrap object references that are returned by either the signal system or raw class methods that return opaque type pointers.
- Property
  System.IntPtr The raw Opaque reference associated with this object. an object of type Subclasses can use Raw property for read/write access.
- Property
  System.Boolean Whether or not this wrapper owns the raw object. if the wrapper owns the raw object and will / it when the wrapper is disposed. By default, this is set to for opaque objects created with the no-argument constructor, and for opaque objects created with the constructor. Methods that return an opaque object can override this by setting the property accordingly to obey the memory-management conventions of the underlying C code.
- Property
  System.IntPtr Gets a pointer to an owned native copy. a native copy.
- Property
  System.IntPtr The raw Opaque reference associated with this wrapper. an object of type Only subclasses of Opaque can access this read/write property.
- Method
  System.Void `` The raw pointer. Overridden in generated subclasses that perform refcounting.
- Method
  System.Void `` The raw pointer. Overridden in generated subclasses that perform refcounting.